Subject: Re: bug#57480: Wrong Type To Apply on Reconfigure
From: Ludovic Courtès <[email-masked]>
To: 宋文武 <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, Christopher Rodriguez <[email-masked]>, [email-masked]
Date: Wed, 31 Aug 2022 13:07:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

宋文武 <[email-masked]> skribis:

> Julien Lepiller <[email-masked]> writes:
>
>> I don't know how to fix it, but here is what I think is the issue:
>>
>> in guix/scripts/system/reconfigure.scm:
>>
>> #:autoload   (guix describe) (current-channels)
>> ...
>> (define* (check-forward-update ...
>>            (current-channels ...))
>>   (define new (current-channels)) ; this is supposed to be the
>>          ; autoloaded procedure, but it's the keyword argument
>>          ; which is a list
>>   ... ; uses of current-channels, the keyword argument
>>
>> Le Mon, 29 Aug 2022 23:01:46 -0400,
>> Christopher Rodriguez <[email-masked]> a écrit :
>>
>>> Hello All,
>>> 
>>> A change made in b084398 is preventing both my system and home
>>> configurations from building with a Wrong Type to Apply error. Did the
>>> channel spec format change with the changes in that commit?
>
> Hello, I revert the commit b084398 for now.

Thanks for the quick reaction.

As Julien wrote, the code referred to the wrong ‘current-channels’.
Fixed in 270e1b9e1ea2b3e41067a38b094b0656ceb56838.

Ludo’.